<?php
session_start();
include_once '../../conexao/index.php';
error_reporting(E_ALL);
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/* Variáveis do Sistema */
$userID = $_SESSION['idUsuario'] ?? null;
$userNOME = $_SESSION['nomeUsuario'] ?? null;
$userCATE = $_SESSION['categoriaUsuario'] ?? null;
/* Fim das Variáveis do Sistema */

// Verificar se os dados foram enviados via POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Verificar se as variáveis foram recebidas
    if (isset($_POST['mesa']) && isset($_POST['datas']) && isset($_POST['hora'])) {
        // Obter os valores das variáveis
        $mesa = $_POST['mesa'];
        $datas = $_POST['datas'];
        $hora = $_POST['hora'];

        // Preparar e executar a consulta SQL para atualizar o status para "pronto"
        $sql = "UPDATE pos_mesas_temp_artigos 
                SET pronto = 1, controladorpronto = 1
                WHERE cat_prod = 3 
                AND entregue = 0
                AND mesa = ? 
                AND DATE(data) = ? 
                AND HOUR(data) = HOUR(?) 
                AND MINUTE(data) DIV 10 = MINUTE(?) DIV 10";

        $stmt = mysqli_prepare($db, $sql);
        mysqli_stmt_bind_param($stmt, "isss", $mesa, $datas, $hora, $hora);
        $success = mysqli_stmt_execute($stmt);

        // Verificar se a consulta foi executada com sucesso
        if ($success) {
            echo "success"; // Enviar resposta de sucesso para o JavaScript
        } else {
            echo mysqli_error($db); // Enviar mensagem de erro para o JavaScript
        }
    } else {
        echo "Missing data"; // Enviar mensagem de erro se os dados estiverem ausentes
    }
} else {
    echo "Invalid request"; // Enviar mensagem de erro para solicitações inválidas
}
?>
